> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-governance/attribute-types.md).

# Attribute Types

## Returns attribute types matching the given search criteria.

> Returns attribute types matching the given search criteria. Only parameters that are specified in this request and have not \<code>null\</code> values are used for filtering. All other parameters are ignored. The returned attribute types satisfy all constraints that are specified in this search criteria. By default a result containing 1000 attribute types is returned.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"AttributeTypePagedResponse":{"type":"object","properties":{"total":{"type":"integer","description":"The total number of results.","format":"int64"},"offset":{"type":"integer","description":"The offset for the results.","format":"int64"},"limit":{"type":"integer","description":"The maximum number of results to be returned.","format":"int64"},"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/AttributeType"}}}},"AttributeType":{"type":"object","properties":{"publicId":{"type":"string","description":"The public id of the attribute type."},"attributeTypeDiscriminator":{"type":"string","description":"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType."},"description":{"type":"string","description":"The description of the resource."},"name":{"type":"string","description":"The name of the resource."},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"discriminator":{"propertyName":"resourceType","mapping":{"BooleanAttributeType":"#/components/schemas/BooleanAttributeType","DateAttributeType":"#/components/schemas/DateAttributeType","MultiValueListAttributeType":"#/components/schemas/MultiValueListAttributeType","NumericAttributeType":"#/components/schemas/NumericAttributeType","ScriptAttributeType":"#/components/schemas/ScriptAttributeType","SingleValueListAttributeType":"#/components/schemas/SingleValueListAttributeType","StringAttributeType":"#/components/schemas/StringAttributeType"}}}}},"paths":{"/attributeTypes":{"get":{"tags":["Attribute Types"],"summary":"Returns attribute types matching the given search criteria.","description":"Returns attribute types matching the given search criteria. Only parameters that are specified in this request and have not <code>null</code> values are used for filtering. All other parameters are ignored. The returned attribute types satisfy all constraints that are specified in this search criteria. By default a result containing 1000 attribute types is returned.","operationId":"findAttributeTypes","parameters":[{"name":"offset","in":"query","description":"The first result to retrieve. If not set (offset = <code>0</code>), results will be retrieved starting from row <code>0</code>.","schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","description":"The maximum number of results to retrieve. If not set (limit = <code>0</code>), the default limit will be used. The maximum allowed limit is 1000.","schema":{"type":"integer","format":"int32","default":0}},{"name":"countLimit","in":"query","description":"Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped","schema":{"type":"integer","format":"int32","default":-1}},{"name":"name","in":"query","description":"The name of the Attribute Type to search for.","schema":{"type":"string"}},{"name":"nameMatchMode","in":"query","description":"The match mode used to compare <code>name</code>. If the match mode is <code>EXACT</code> the search is case-sensitive, otherwise the search is case-insensitive.","schema":{"type":"string","enum":["START","END","ANYWHERE","EXACT"],"default":"ANYWHERE"}},{"name":"kind","in":"query","description":"The kind of the Attribute Type to search for.","schema":{"type":"string","enum":["BOOLEAN","STRING","NUMERIC","DATE","SINGLE_VALUE_LIST","MULTI_VALUE_LIST","SCRIPT"]}},{"name":"language","in":"query","description":"[DEPRECATED] The language of the Attribute Type to search for. This property is only applicable to Attribute Types of kind \"Script\".","schema":{"type":"string"}},{"name":"statisticsEnabled","in":"query","description":"Whether the Attribute Types should be searched with statistics enabled or not. This property is only applicable to Attribute Types of kind \"Numeric\" or \"Boolean\".","schema":{"type":"boolean"}},{"name":"isInteger","in":"query","description":"Whether only integer-type Attribute Types should be searched or not. This property is only applicable to Attribute Types of kind \"Numeric\".","schema":{"type":"boolean"}},{"name":"sortField","in":"query","description":"The field that should be used as reference for sorting.","schema":{"type":"string","enum":["NAME","KIND","STATISTICS_ENABLED","IS_INTEGER","ALLOWED_VALUES"],"default":"NAME"}},{"name":"sortOrder","in":"query","description":"The order of sorting.","schema":{"type":"string","enum":["ASC","DESC"],"default":"ASC"}}],"responses":{"200":{"description":"The paged response of found Attribute Types.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttributeTypePagedResponse"}}}}}}}}}
```

## Adds a new Attribute Type.

> Adds a new Attribute Type.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["sys.admin"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"AddAttributeTypeRequest":{"required":["kind","name"],"type":"object","properties":{"id":{"type":"string","description":"The ID of the new Attribute Type. Should be unique within all Attribute Types.<br/>It should have a format of universally unique identifier (UUID) and should not start with <code>00000000-0000-0000-</code> which is a reserved prefix.","format":"uuid"},"publicId":{"maxLength":260,"minLength":1,"type":"string","description":"The public id that will be assigned to the new Attribute Type. It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with \"_C\". If no public id is provided, a valid public id will be generated."},"name":{"maxLength":255,"minLength":1,"type":"string","description":"The name of the new Attribute Type. Should be unique within all Attribute Types."},"description":{"maxLength":4000,"minLength":0,"type":"string","description":"The description of the new Attribute Type."},"kind":{"type":"string","description":"The kind of the new Attribute Type.","enum":["BOOLEAN","STRING","NUMERIC","DATE","SINGLE_VALUE_LIST","MULTI_VALUE_LIST","SCRIPT"]},"language":{"maxLength":255,"minLength":0,"type":"string","description":"[DEPRECATED] The language of the new Attribute Type. This property is only applicable to Attribute Types of kind \"Script\"."},"statisticsEnabled":{"type":"boolean","description":"Whether statistics should be enabled. This property is only applicable to Attribute Types of kind \"Numeric\" or \"Boolean\"."},"allowedValues":{"type":"array","description":"List of allowed values. This property is only applicable to Attribute Types of kind \"Single Value List\" or \"Multi Value List\". The ordering of the elements will be preserved.","items":{"type":"string","description":"List of allowed values. This property is only applicable to Attribute Types of kind \"Single Value List\" or \"Multi Value List\". The ordering of the elements will be preserved."}},"stringType":{"type":"string","description":"Rich text or plain text This property is only applicable to Attribute Types of kind \"String\".","enum":["RICH_TEXT","PLAIN_TEXT"]},"idString":{"type":"string","description":"The ID of the Attribute Type. This field will be removed in the future.","deprecated":true},"isInteger":{"type":"boolean","description":"Whether Attribute Type holds an integer value. This property is only applicable to Attribute Types of kind \"Numeric\"."}}},"AttributeType":{"type":"object","properties":{"publicId":{"type":"string","description":"The public id of the attribute type."},"attributeTypeDiscriminator":{"type":"string","description":"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType."},"description":{"type":"string","description":"The description of the resource."},"name":{"type":"string","description":"The name of the resource."},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"discriminator":{"propertyName":"resourceType","mapping":{"BooleanAttributeType":"#/components/schemas/BooleanAttributeType","DateAttributeType":"#/components/schemas/DateAttributeType","MultiValueListAttributeType":"#/components/schemas/MultiValueListAttributeType","NumericAttributeType":"#/components/schemas/NumericAttributeType","ScriptAttributeType":"#/components/schemas/ScriptAttributeType","SingleValueListAttributeType":"#/components/schemas/SingleValueListAttributeType","StringAttributeType":"#/components/schemas/StringAttributeType"}}}}},"paths":{"/attributeTypes":{"post":{"tags":["Attribute Types"],"summary":"Adds a new Attribute Type.","description":"Adds a new Attribute Type.","operationId":"addAttributeType","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddAttributeTypeRequest"}}}},"responses":{"201":{"description":"Attribute Type successfully added.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttributeType"}}}},"400":{"description":"An attribute type with the given ID already exists"},"403":{"description":"Forbidden - Insufficient permissions to perform the requested operation."}}}}}}
```

## Adds multiple Attribute Types.

> Adds multiple Attribute Types.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["sys.admin"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"AddAttributeTypeRequest":{"required":["kind","name"],"type":"object","properties":{"id":{"type":"string","description":"The ID of the new Attribute Type. Should be unique within all Attribute Types.<br/>It should have a format of universally unique identifier (UUID) and should not start with <code>00000000-0000-0000-</code> which is a reserved prefix.","format":"uuid"},"publicId":{"maxLength":260,"minLength":1,"type":"string","description":"The public id that will be assigned to the new Attribute Type. It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with \"_C\". If no public id is provided, a valid public id will be generated."},"name":{"maxLength":255,"minLength":1,"type":"string","description":"The name of the new Attribute Type. Should be unique within all Attribute Types."},"description":{"maxLength":4000,"minLength":0,"type":"string","description":"The description of the new Attribute Type."},"kind":{"type":"string","description":"The kind of the new Attribute Type.","enum":["BOOLEAN","STRING","NUMERIC","DATE","SINGLE_VALUE_LIST","MULTI_VALUE_LIST","SCRIPT"]},"language":{"maxLength":255,"minLength":0,"type":"string","description":"[DEPRECATED] The language of the new Attribute Type. This property is only applicable to Attribute Types of kind \"Script\"."},"statisticsEnabled":{"type":"boolean","description":"Whether statistics should be enabled. This property is only applicable to Attribute Types of kind \"Numeric\" or \"Boolean\"."},"allowedValues":{"type":"array","description":"List of allowed values. This property is only applicable to Attribute Types of kind \"Single Value List\" or \"Multi Value List\". The ordering of the elements will be preserved.","items":{"type":"string","description":"List of allowed values. This property is only applicable to Attribute Types of kind \"Single Value List\" or \"Multi Value List\". The ordering of the elements will be preserved."}},"stringType":{"type":"string","description":"Rich text or plain text This property is only applicable to Attribute Types of kind \"String\".","enum":["RICH_TEXT","PLAIN_TEXT"]},"idString":{"type":"string","description":"The ID of the Attribute Type. This field will be removed in the future.","deprecated":true},"isInteger":{"type":"boolean","description":"Whether Attribute Type holds an integer value. This property is only applicable to Attribute Types of kind \"Numeric\"."}}},"AttributeType":{"type":"object","properties":{"publicId":{"type":"string","description":"The public id of the attribute type."},"attributeTypeDiscriminator":{"type":"string","description":"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType."},"description":{"type":"string","description":"The description of the resource."},"name":{"type":"string","description":"The name of the resource."},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"discriminator":{"propertyName":"resourceType","mapping":{"BooleanAttributeType":"#/components/schemas/BooleanAttributeType","DateAttributeType":"#/components/schemas/DateAttributeType","MultiValueListAttributeType":"#/components/schemas/MultiValueListAttributeType","NumericAttributeType":"#/components/schemas/NumericAttributeType","ScriptAttributeType":"#/components/schemas/ScriptAttributeType","SingleValueListAttributeType":"#/components/schemas/SingleValueListAttributeType","StringAttributeType":"#/components/schemas/StringAttributeType"}}}}},"paths":{"/attributeTypes/bulk":{"post":{"tags":["Attribute Types"],"summary":"Adds multiple Attribute Types.","description":"Adds multiple Attribute Types.","operationId":"addAttributeTypes","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddAttributeTypeRequest"}}}}},"responses":{"201":{"description":"Attribute Types successfully added.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AttributeType"}}}}},"400":{"description":"An attribute type with the given name or ID already exists"},"403":{"description":"Forbidden - Insufficient permissions to perform the requested operation."}}}}}}
```

## Removes multiple attribute types.

> Removes multiple attribute types identified by the UUIDs passed as parameter.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["sys.admin"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}}},"paths":{"/attributeTypes/bulk":{"delete":{"tags":["Attribute Types"],"summary":"Removes multiple attribute types.","description":"Removes multiple attribute types identified by the UUIDs passed as parameter.","operationId":"removeAttributeTypes","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}}},"responses":{"204":{"description":"Attribute types removed"},"400":{"description":"An attribute type cannot be removed because it is used in data quality rules or referenced by derived relation type filters"},"403":{"description":"Forbidden - Insufficient permissions to perform the requested operation."}}}}}}
```

## Changes multiple attribute types.

> Changes multiple attribute types with the information present in the request.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["sys.admin"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"ChangeAttributeTypeRequest":{"required":["id"],"type":"object","properties":{"id":{"type":"string","description":"The ID of the Attribute Type to be changed. Silently ignored if the ID is provided as path parameter of the request.","format":"uuid"},"publicId":{"maxLength":260,"minLength":1,"type":"string","description":"The new public id for the Attribute Type. It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with \"_C\". WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable."},"name":{"maxLength":255,"minLength":1,"type":"string","description":"The new name for the Attribute Type."},"description":{"maxLength":4000,"minLength":0,"type":"string","description":"The new description for the Attribute Type."},"language":{"maxLength":255,"minLength":0,"type":"string","description":"[DEPRECATED] The new language for the Attribute Type. This property is only applicable to Attribute Types of kind \"Script\", and specifies the language of the script."},"statisticsEnabled":{"type":"boolean","description":"Whether statistics should be enabled. This property is only applicable to Attribute Types of kind \"Numeric\" or \"Boolean\"."},"isInteger":{"type":"boolean","description":"Whether Attribute Type holds integer value. This property is only applicable to Attribute Types of kind \"Numeric\"."},"allowedValues":{"type":"array","description":"List of allowed values. This property is only applicable to Attribute Types of kind \"Single Value List\" or \"Multi Value List\". The ordering of the elements will be preserved.","items":{"type":"string","description":"List of allowed values. This property is only applicable to Attribute Types of kind \"Single Value List\" or \"Multi Value List\". The ordering of the elements will be preserved."}},"stringType":{"type":"string","description":"Whether the Attribute Type holds rich text or plain text. This property is only applicable to Attribute Types of kind \"String\".","enum":["RICH_TEXT","PLAIN_TEXT"]}}},"AttributeType":{"type":"object","properties":{"publicId":{"type":"string","description":"The public id of the attribute type."},"attributeTypeDiscriminator":{"type":"string","description":"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType."},"description":{"type":"string","description":"The description of the resource."},"name":{"type":"string","description":"The name of the resource."},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"discriminator":{"propertyName":"resourceType","mapping":{"BooleanAttributeType":"#/components/schemas/BooleanAttributeType","DateAttributeType":"#/components/schemas/DateAttributeType","MultiValueListAttributeType":"#/components/schemas/MultiValueListAttributeType","NumericAttributeType":"#/components/schemas/NumericAttributeType","ScriptAttributeType":"#/components/schemas/ScriptAttributeType","SingleValueListAttributeType":"#/components/schemas/SingleValueListAttributeType","StringAttributeType":"#/components/schemas/StringAttributeType"}}}}},"paths":{"/attributeTypes/bulk":{"patch":{"tags":["Attribute Types"],"summary":"Changes multiple attribute types.","description":"Changes multiple attribute types with the information present in the request.","operationId":"changeAttributeTypes","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChangeAttributeTypeRequest"}}}}},"responses":{"200":{"description":"Attribute Types successfully changed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AttributeType"}}}}},"400":{"description":"An attribute type with the given name already exists"},"403":{"description":"Forbidden - Insufficient permissions to perform the requested operation."},"404":{"description":"Attribute Type not found."}}}}}}
```

## Returns the attribute type identified by given UUID.

> Returns the attribute type identified by given UUID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"AttributeType":{"type":"object","properties":{"publicId":{"type":"string","description":"The public id of the attribute type."},"attributeTypeDiscriminator":{"type":"string","description":"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType."},"description":{"type":"string","description":"The description of the resource."},"name":{"type":"string","description":"The name of the resource."},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"discriminator":{"propertyName":"resourceType","mapping":{"BooleanAttributeType":"#/components/schemas/BooleanAttributeType","DateAttributeType":"#/components/schemas/DateAttributeType","MultiValueListAttributeType":"#/components/schemas/MultiValueListAttributeType","NumericAttributeType":"#/components/schemas/NumericAttributeType","ScriptAttributeType":"#/components/schemas/ScriptAttributeType","SingleValueListAttributeType":"#/components/schemas/SingleValueListAttributeType","StringAttributeType":"#/components/schemas/StringAttributeType"}}}}},"paths":{"/attributeTypes/{attributeTypeId}":{"get":{"tags":["Attribute Types"],"summary":"Returns the attribute type identified by given UUID.","description":"Returns the attribute type identified by given UUID.","operationId":"getAttributeType","parameters":[{"name":"attributeTypeId","in":"path","description":"the unique identifier of the attribute type","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Attribute Type found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttributeType"}}}},"404":{"description":"Attribute Type not found."}}}}}}
```

## Removes attribute type identified by given UUID.

> Removes attribute type identified by given UUID. Removal is idempotent: removing an attribute type that no longer exists also succeeds.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["sys.admin"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}}},"paths":{"/attributeTypes/{attributeTypeId}":{"delete":{"tags":["Attribute Types"],"summary":"Removes attribute type identified by given UUID.","description":"Removes attribute type identified by given UUID. Removal is idempotent: removing an attribute type that no longer exists also succeeds.","operationId":"removeAttributeType","parameters":[{"name":"attributeTypeId","in":"path","description":"the unique identifier of the attribute type","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"Attribute type removed"},"400":{"description":"Attribute type cannot be removed because it is used in data quality rules or referenced by derived relation type filters"},"403":{"description":"Forbidden - Insufficient permissions to perform the requested operation."}}}}}}
```

## Changes the attribute types.

> Changes the attribute types with the information present in the request. Only properties that are specified in this request and have not \<code>null\</code> values are updated. All other properties are ignored.&#x20;

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["sys.admin"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"ChangeAttributeTypeRequest":{"required":["id"],"type":"object","properties":{"id":{"type":"string","description":"The ID of the Attribute Type to be changed. Silently ignored if the ID is provided as path parameter of the request.","format":"uuid"},"publicId":{"maxLength":260,"minLength":1,"type":"string","description":"The new public id for the Attribute Type. It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with \"_C\". WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable."},"name":{"maxLength":255,"minLength":1,"type":"string","description":"The new name for the Attribute Type."},"description":{"maxLength":4000,"minLength":0,"type":"string","description":"The new description for the Attribute Type."},"language":{"maxLength":255,"minLength":0,"type":"string","description":"[DEPRECATED] The new language for the Attribute Type. This property is only applicable to Attribute Types of kind \"Script\", and specifies the language of the script."},"statisticsEnabled":{"type":"boolean","description":"Whether statistics should be enabled. This property is only applicable to Attribute Types of kind \"Numeric\" or \"Boolean\"."},"isInteger":{"type":"boolean","description":"Whether Attribute Type holds integer value. This property is only applicable to Attribute Types of kind \"Numeric\"."},"allowedValues":{"type":"array","description":"List of allowed values. This property is only applicable to Attribute Types of kind \"Single Value List\" or \"Multi Value List\". The ordering of the elements will be preserved.","items":{"type":"string","description":"List of allowed values. This property is only applicable to Attribute Types of kind \"Single Value List\" or \"Multi Value List\". The ordering of the elements will be preserved."}},"stringType":{"type":"string","description":"Whether the Attribute Type holds rich text or plain text. This property is only applicable to Attribute Types of kind \"String\".","enum":["RICH_TEXT","PLAIN_TEXT"]}}},"AttributeType":{"type":"object","properties":{"publicId":{"type":"string","description":"The public id of the attribute type."},"attributeTypeDiscriminator":{"type":"string","description":"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType."},"description":{"type":"string","description":"The description of the resource."},"name":{"type":"string","description":"The name of the resource."},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"discriminator":{"propertyName":"resourceType","mapping":{"BooleanAttributeType":"#/components/schemas/BooleanAttributeType","DateAttributeType":"#/components/schemas/DateAttributeType","MultiValueListAttributeType":"#/components/schemas/MultiValueListAttributeType","NumericAttributeType":"#/components/schemas/NumericAttributeType","ScriptAttributeType":"#/components/schemas/ScriptAttributeType","SingleValueListAttributeType":"#/components/schemas/SingleValueListAttributeType","StringAttributeType":"#/components/schemas/StringAttributeType"}}}}},"paths":{"/attributeTypes/{attributeTypeId}":{"patch":{"tags":["Attribute Types"],"summary":"Changes the attribute types.","description":"Changes the attribute types with the information present in the request. Only properties that are specified in this request and have not <code>null</code> values are updated. All other properties are ignored. ","operationId":"changeAttributeType","parameters":[{"name":"attributeTypeId","in":"path","description":"the unique identifier of the attribute type","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeAttributeTypeRequest"}}}},"responses":{"200":{"description":"Attribute Type successfully changed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttributeType"}}}},"400":{"description":"An attribute type with the given name already exists"},"403":{"description":"Forbidden - Insufficient permissions to perform the requested operation."},"404":{"description":"Attribute Type not found."}}}}}}
```

## Returns the attribute type identified by given name.

> Returns the attribute type identified by given name.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"AttributeType":{"type":"object","properties":{"publicId":{"type":"string","description":"The public id of the attribute type."},"attributeTypeDiscriminator":{"type":"string","description":"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType."},"description":{"type":"string","description":"The description of the resource."},"name":{"type":"string","description":"The name of the resource."},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"discriminator":{"propertyName":"resourceType","mapping":{"BooleanAttributeType":"#/components/schemas/BooleanAttributeType","DateAttributeType":"#/components/schemas/DateAttributeType","MultiValueListAttributeType":"#/components/schemas/MultiValueListAttributeType","NumericAttributeType":"#/components/schemas/NumericAttributeType","ScriptAttributeType":"#/components/schemas/ScriptAttributeType","SingleValueListAttributeType":"#/components/schemas/SingleValueListAttributeType","StringAttributeType":"#/components/schemas/StringAttributeType"}}}}},"paths":{"/attributeTypes/name/{attributeTypeName}":{"get":{"tags":["Attribute Types"],"summary":"Returns the attribute type identified by given name.","description":"Returns the attribute type identified by given name.","operationId":"getAttributeTypeByName","parameters":[{"name":"attributeTypeName","in":"path","description":"the unique identifier of the attribute type","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Attribute Type found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttributeType"}}}},"404":{"description":"Attribute Type not found."}}}}}}
```

## Get the attribute type by public id

> Returns the attribute type identified by the given public id.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"AttributeType":{"type":"object","properties":{"publicId":{"type":"string","description":"The public id of the attribute type."},"attributeTypeDiscriminator":{"type":"string","description":"the discriminator of this AttributeType, which indicates the type. The value can be one of : BooleanAttributeType, DateAttributeType, MultiValueListAttributeType, NumericAttributeType, ScriptAttributeType, SingleValueListAttributeType or StringAttributeType."},"description":{"type":"string","description":"The description of the resource."},"name":{"type":"string","description":"The name of the resource."},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. In order to stay backwards compatible\nand to enable introduction of new types of resources, where necessary, a resource discriminator\nproperty (of type String) has been added to specific subtypes of Resource,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nFor new types of resource that didn't exist before this change, the resourceType will be\nBaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"}},"discriminator":{"propertyName":"resourceType","mapping":{"BooleanAttributeType":"#/components/schemas/BooleanAttributeType","DateAttributeType":"#/components/schemas/DateAttributeType","MultiValueListAttributeType":"#/components/schemas/MultiValueListAttributeType","NumericAttributeType":"#/components/schemas/NumericAttributeType","ScriptAttributeType":"#/components/schemas/ScriptAttributeType","SingleValueListAttributeType":"#/components/schemas/SingleValueListAttributeType","StringAttributeType":"#/components/schemas/StringAttributeType"}}}}},"paths":{"/attributeTypes/publicId/{publicId}":{"get":{"tags":["Attribute Types"],"summary":"Get the attribute type by public id","description":"Returns the attribute type identified by the given public id.","operationId":"getAttributeTypeByPublicId","parameters":[{"name":"publicId","in":"path","description":"The public identifier of the attribute type","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Attribute type found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttributeType"}}}},"404":{"description":"Attribute type not found."}}}}}}
```
